MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028244Community[OCCT] OCCT:Visualizationpublic2016-12-19 09:442017-09-29 16:31
ReporterVico Liang 
Assigned Tokgv 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.9.1 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028244: Visualization - AIS_AngleDimension throws exception for 180 degree
Descriptiongp_Pnt aP0(-100, 0, 0);
gp_Pnt aP1(0, 0, 0);
gp_Pnt aP2(100, 0, 0);
AIS_AngleDimension myAngleDimension = new AIS_AngleDimension(aP0, aP1, aP2);

The above new operator will throw and the stack as below:

     TKernel.dll!Standard_ConstructionError::Throw() Line 10 C++
     TKernel.dll!Standard_Failure::Reraise() Line 153 C++
     TKernel.dll!Standard_Failure::Reraise(const char * const AString=0x000007fedcfe4668) Line 136 C++
     TKernel.dll!Standard_ConstructionError::Raise(const char * const AString=0x000007fedcfe4668) Line 10 C++
     TKV3d.dll!gp_Vec::Normalized() Line 234 C++
     TKV3d.dll!AIS_AngleDimension::ComputePlane() Line 516 C++
> TKV3d.dll!AIS_AngleDimension::SetMeasuredGeometry(const gp_Pnt & theFirstPoint={...}, const gp_Pnt & theSecondPoint={...}, const gp_Pnt & theThirdPoint={...}) Line 183 C++
Steps To Reproducev3d dimensions angle
TagsNo tags attached.
Test case numberv3d dimensions angle180
Attached Files

- Relationships

-  Notes
(0061847)
kgv (developer)
2016-12-19 12:34

Please provide a test case, not just a call stack.
(0061862)
kgv (developer)
2016-12-19 15:47
edited on: 2016-12-19 15:47

Even if protection will be added to this use case, the result will be not very useful anyway - it is not possible defining a plane for placing dimension from the line.
AIS_AngleDimension::SetCustomPlane() should be used to specify desired user plane and then AIS_AngleDimension::SetMeasuredGeometry() with these three points.

(0061888)
Vico Liang (developer)
2016-12-20 04:54

Anyway, it should not throw in constructor otherwise there is no way to SetCustomPlane()
(0061889)
Vico Liang (developer)
2016-12-20 05:04

An alter solution is to add an optional argument gp_Pln in constructor to specify the custom plane.
(0061932)
git (administrator)
2016-12-21 08:59

Branch CR28244 has been created by isk.

SHA-1: da68d06036cb952081b3a6a9aee3fbef81c67856


Detailed log of new commits:

Author: isk
Date: Wed Dec 21 08:59:49 2016 +0300

    0028244: Visualization - AIS_AngleDimension throws exception for 180 degree
(0061933)
git (administrator)
2016-12-21 09:20

Branch CR28244 has been updated forcibly by isk.

SHA-1: fc893bca75369b9345cd62f54fe3802e2c77a6bd
(0061934)
isk (developer)
2016-12-21 09:21

Dear Kirill,
please review the branch CR28244.
(0061953)
git (administrator)
2016-12-21 14:55

Branch CR28244 has been updated forcibly by isk.

SHA-1: 999be5af4984b1ad184ab44bf2bf0108ce2aa2c8
(0061954)
git (administrator)
2016-12-21 15:01

Branch CR28244 has been updated forcibly by isk.

SHA-1: f8303aaa160d36834fe0d068801ee18050bd09a7
(0061955)
kgv (developer)
2016-12-21 15:03

Please test the patch.
(0061989)
mkv (tester)
2016-12-22 11:20

Dear BugMaster,
Branch CR28244 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f8303aaa160d36834fe0d068801ee18050bd09a7

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 63 (63 on master)
Windows: 0 (0 on master)
MacOS : 1138

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR28244-master-OCCT/Debian70-64/v3d/dimensions/angle180.html [^]
http://occt-tests/CR28244-master-OCCT/Windows-64-VC10/v3d/dimensions/angle180.html [^]
v3d dimensions angle180: OK

Testing on Linux:
occt component :
Total MEMORY difference: 93401468 / 92903937 [+0.54%]
Total CPU difference: 21670.370000000148 / 21640.29000000027 [+0.14%]
products component :
Total MEMORY difference: 30087279 / 30067682 [+0.07%]
Total CPU difference: 5334.169999999961 / 5288.109999999972 [+0.87%]

Testing on Windows:
occt component :
Total MEMORY difference: 58512548 / 58518712 [-0.01%]
Total CPU difference: 20092.944400098575 / 19818.897443398673 [+1.38%]
products component :
Total MEMORY difference: 20894353 / 20861060 [+0.16%]
Total CPU difference: 5297.949960999977 / 5204.302560699983 [+1.80%]

There are no differences in images found by testdiff.
(0061990)
git (administrator)
2016-12-22 11:20

Branch CR28244 has been updated by mkv.

SHA-1: b1fe8f0a251ecf3b8fc8aa489e8164211f0508ff


Detailed log of new commits:

Author: mkv
Date: Thu Dec 22 10:49:29 2016 +0300

    Small correction of test case for issue CR28244

(0061991)
mkv (tester)
2016-12-22 11:20

Dear BugMaster,
Branch CR28244 is TESTED.
(0063569)
git (administrator)
2017-02-08 11:32

Branch CR28244 has been deleted by kgv.

SHA-1: b1fe8f0a251ecf3b8fc8aa489e8164211f0508ff

- Related Changesets
occt: master 0f0f0c06
Timestamp: 2016-12-22 09:53:46
Author: isk
Committer: kgv
Details ] Diff ]
0028244: Visualization - AIS_AngleDimension throws exception for 180 degree

Small correction of test case for issue CR28244
mod - src/AIS/AIS_AngleDimension.cxx Diff ] File ]
add - tests/v3d/dimensions/angle180 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-12-19 09:44 Vico Liang New Issue
2016-12-19 09:44 Vico Liang Assigned To => kgv
2016-12-19 12:34 kgv Note Added: 0061847
2016-12-19 12:34 kgv Assigned To kgv => Vico Liang
2016-12-19 12:34 kgv Status new => feedback
2016-12-19 15:39 Vico Liang Assigned To Vico Liang => kgv
2016-12-19 15:39 Vico Liang Description Updated View Revisions
2016-12-19 15:39 Vico Liang Steps to Reproduce Updated View Revisions
2016-12-19 15:40 Vico Liang Status feedback => assigned
2016-12-19 15:47 kgv Note Added: 0061862
2016-12-19 15:47 kgv Note Edited: 0061862 View Revisions
2016-12-20 04:54 Vico Liang Note Added: 0061888
2016-12-20 05:04 Vico Liang Note Added: 0061889
2016-12-20 10:02 kgv Assigned To kgv => isk
2016-12-20 10:02 kgv Summary AIS_AngleDimension throw for 180 degree => Visualization - AIS_AngleDimension throws exception for 180 degree
2016-12-20 10:02 kgv Steps to Reproduce Updated View Revisions
2016-12-21 08:59 git Note Added: 0061932
2016-12-21 09:20 git Note Added: 0061933
2016-12-21 09:21 isk Note Added: 0061934
2016-12-21 09:21 isk Assigned To isk => kgv
2016-12-21 09:21 isk Status assigned => resolved
2016-12-21 09:21 isk Steps to Reproduce Updated View Revisions
2016-12-21 14:55 git Note Added: 0061953
2016-12-21 15:01 git Note Added: 0061954
2016-12-21 15:03 kgv Note Added: 0061955
2016-12-21 15:03 kgv Assigned To kgv => bugmaster
2016-12-21 15:03 kgv Priority normal => low
2016-12-21 15:03 kgv Status resolved => reviewed
2016-12-21 15:10 mkv Assigned To bugmaster => mkv
2016-12-22 11:20 mkv Note Added: 0061989
2016-12-22 11:20 git Note Added: 0061990
2016-12-22 11:20 mkv Note Added: 0061991
2016-12-22 11:20 mkv Assigned To mkv => bugmaster
2016-12-22 11:20 mkv Status reviewed => tested
2016-12-22 11:21 mkv Test case number => v3d dimensions angle180
2016-12-23 12:09 kgv Changeset attached => occt master 0f0f0c06
2016-12-23 12:09 kgv Assigned To bugmaster => kgv
2016-12-23 12:09 kgv Status tested => verified
2016-12-23 12:09 kgv Resolution open => fixed
2017-02-08 11:32 git Note Added: 0063569
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:31 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker